Bug 1065480 - libvirt can not start with /dev/sr0 if no media in physical cdrom
Summary: libvirt can not start with /dev/sr0 if no media in physical cdrom
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 18:30 UTC by Nerijus Baliūnas
Modified: 2016-04-26 13:28 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 21:25:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Nerijus Baliūnas 2014-02-14 18:30:57 UTC
See bug 709585. When I try to run VM in Virtual Machine Manager, I get:
Error starting domain: cannot read header '/dev/sr0': Input/output error.

If I try to change Storage format to host_device or host_cdrom:
Error changing VM configuration: unsupported configuration: unknown driver format value 'host_cdrom'

Comment 1 Nerijus Baliūnas 2014-06-28 11:31:44 UTC
From https://bugzilla.redhat.com/show_bug.cgi?id=709585#c13 :
Happens on Fedora 20, too. 

qemu-kvm-1.6.2-4.fc20.x86_64
virt-manager-1.0.1-3.fc20.noarch
Guest OS = MS-WinV7proSP1 (updated to date)


# virsh dumpxml win7

....
    <disk type='block' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <source dev='/dev/sr0'/>
      <target dev='hdb' bus='ide'/>
      <readonly/>
      <address type='drive' controller='0' bus='0' target='0' unit='1'/>
    </disk>
....

Comment 2 Mikolaj Kucharski 2015-03-29 14:35:02 UTC
This is also affecting RHEL7 (and CentOS7).

Comment 3 Fedora End Of Life 2015-11-04 12:52:58 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Cole Robinson 2015-11-04 21:25:52 UTC
FWIW a VM on f23 starts up fine with empty /dev/sr0, so this appears to be fixed there


Note You need to log in before you can comment on or make changes to this bug.